| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxPGVIterator Class Reference

`#include <wx/propgrid/propgridpagestate.h>`

## Detailed Description

# wxPGVIterator

Abstract implementation of a simple iterator. Can only be used to iterate in forward order, and only through the entire container. Used to have functions dealing with all properties work with both wxPropertyGrid and wxPropertyGridManager.

## Public Member Functions

| wxPGVIterator ()
| wxPGVIterator (wxPGVIteratorBase *obj)
| ~wxPGVIterator ()
void | UnRef ()
| wxPGVIterator (const wxPGVIterator &it)
const wxPGVIterator & | operator= (const wxPGVIterator &it)
void | Next ()
bool | AtEnd () const
wxPGProperty * | GetProperty () const

## Constructor & Destructor Documentation

wxPGVIterator::wxPGVIterator | ( |  | ) |

wxPGVIterator::wxPGVIterator | ( | wxPGVIteratorBase * | obj | ) |

wxPGVIterator::~wxPGVIterator | ( |  | ) |

wxPGVIterator::wxPGVIterator | ( | const wxPGVIterator & | it | ) |

## Member Function Documentation

bool wxPGVIterator::AtEnd | ( |  | ) | const

wxPGProperty* wxPGVIterator::GetProperty | ( |  | ) | const

void wxPGVIterator::Next | ( |  | ) |

const wxPGVIterator& wxPGVIterator::operator= | ( | const wxPGVIterator & | it | ) |

void wxPGVIterator::UnRef | ( |  | ) |